unit principal;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, OleCtrls, SHDocVw, ComCtrls, Tabnotbk, DosCommand, TrayIcon,
  ExtCtrls, jpeg, ImgList, Registry, Mask;

type
  TForm1 = class(TForm)
    TabbedNotebook1: TTabbedNotebook;
    GroupBox2: TGroupBox;
    Edit2: TEdit;
    Button2: TButton;
    GroupBox3: TGroupBox;
    Edit3: TEdit;
    Button3: TButton;
    GroupBox4: TGroupBox;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button4: TButton;
    Button6: TButton;
    TrayIcon1: TTrayIcon;
    DosCommand1: TDosCommand;
    Button7: TButton;
    TabbedNotebook2: TTabbedNotebook;
    WebBrowser1: TWebBrowser;
    RichEdit1: TRichEdit;
    Image1: TImage;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    ImageList1: TImageList;
    OpenDialog1: TOpenDialog;
    Button1: TButton;
    Button5: TButton;
    Label12: TLabel;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Label13: TLabel;
    Label14: TLabel;
    Edit7: TMaskEdit;
    Button8: TButton;
    procedure Button4Click(Sender: TObject);
    procedure TrayIcon1Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure DosCommand1NewLine(Sender: TObject; NewLine: String;
      OutputType: TOutputType);
    procedure WebBrowser1DocumentComplete(Sender: TObject;
      const pDisp: IDispatch; var URL: OleVariant);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure DosCommand1Terminated(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button8Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button4Click(Sender: TObject);
begin
  TrayIcon1.Active := True;
  Form1.Visible := False;
end;

procedure TForm1.TrayIcon1Click(Sender: TObject);
begin
  Form1.Visible := True;
  TrayIcon1.Active := False;
end;

procedure TForm1.Button6Click(Sender: TObject);
var comando:string;
begin
  comando := '"' + Edit3.Text + '" "' + Edit2.Text + '" -D -L portuguese';
  comando := comando + ' -X -w ' + Edit4.Text + ' -f ' + Edit5.Text + ' -W ' + Edit6.Text;
  DosCommand1.CommandLine := comando;
  DosCommand1.Execute;
  ImageList1.GetIcon(1,TrayIcon1.Icon);
  Button6.Enabled := False;
  Button7.Enabled := True;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  WebBrowser1.Navigate('http://' + Edit1.Text + ':' + Edit7.Text + '@localhost:' + Edit4.Text + '/Control_Panel/manage_shutdown');
end;

procedure TForm1.DosCommand1NewLine(Sender: TObject; NewLine: String;
  OutputType: TOutputType);
begin
  RichEdit1.Lines := Doscommand1.Lines;
end;

procedure TForm1.WebBrowser1DocumentComplete(Sender: TObject;
  const pDisp: IDispatch; var URL: OleVariant);
begin
  RichEdit1.Clear;
  Button6.Enabled := True;
  Button7.Enabled := False;
  ImageList1.GetIcon(0,TrayIcon1.Icon);
end;

procedure TForm1.Button1Click(Sender: TObject);
const
  Raiz : String = 'Software\bislTrayIcon';
var
  Registro : TRegistry;
begin
  Registro := Tregistry.Create;
  Registro.RootKey := hkey_local_machine;
  Registro.OpenKey(Raiz, true);
  Registro.WriteString('administrador',Edit1.Text);
  Registro.WriteString('z2.py',Edit2.Text);
  Registro.WriteString('python.exe',Edit3.Text);
  Registro.WriteString('HTTP',Edit4.Text);
  Registro.WriteString('FTP',Edit5.Text);
  Registro.WriteString('WebDAV',Edit6.Text);
  Registro.WriteString('coisinha',Edit7.Text);
  Registro.CloseKey;
  Registro.Free;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  OpenDialog1.FileName := 'z2.py';
  OpenDialog1.Filter := '*.py';
  if OpenDialog1.Execute then
    Edit2.Text := OpenDialog1.FileName;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  OpenDialog1.FileName := 'python.exe';
  OpenDialog1.Filter := '*.exe';
  if OpenDialog1.Execute then
    Edit3.Text := OpenDialog1.FileName;
end;

procedure TForm1.DosCommand1Terminated(Sender: TObject);
begin
  Button6.Enabled := True;
  Button7.Enabled := False;
  ImageList1.GetIcon(0,TrayIcon1.Icon);
end;

procedure TForm1.FormActivate(Sender: TObject);
const
  Raiz : String = 'Software\bislTrayIcon';
var
  Registro : TRegistry;
begin
  Registro := Tregistry.Create;
  Registro.RootKey := hkey_local_machine;
  if Registro.OpenKey(Raiz, true) then
    begin
      Edit1.Text := Registro.ReadString('administrador');
      Edit2.Text := Registro.ReadString('z2.py');
      Edit3.Text := Registro.ReadString('python.exe');
      Edit4.Text := Registro.ReadString('HTTP');
      Edit5.Text := Registro.ReadString('FTP');
      Edit6.Text := Registro.ReadString('WebDAV');
      Edit7.Text := Registro.ReadString('coisinha');
    end;
  Registro.CloseKey;
  Registro.Free;
end;

procedure TForm1.Button5Click(Sender: TObject);
const
  Raiz : String = 'Software\bislTrayIcon';
var
  Registro : TRegistry;
begin
  Registro := Tregistry.Create;
  Registro.RootKey := hkey_local_machine;
  if Registro.OpenKey(Raiz, true) then
    begin
      Edit1.Text := Registro.ReadString('administrador');
      Edit2.Text := Registro.ReadString('z2.py');
      Edit3.Text := Registro.ReadString('python.exe');
      Edit4.Text := Registro.ReadString('HTTP');
      Edit5.Text := Registro.ReadString('FTP');
      Edit6.Text := Registro.ReadString('WebDAV');
      Edit7.Text := Registro.ReadString('coisinha');
    end;
  Registro.CloseKey;
  Registro.Free;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  WebBrowser1.Navigate('http://'+Edit1.Text+':'+Edit7.Text+'@localhost:' + Edit4.Text + '/Control_Panel/manage_shutdown');
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  WebBrowser1.Navigate('http://' + Edit1.Text + ':' + Edit7.Text + '@localhost:' + Edit4.Text + '/Control_Panel/manage_shutdown');
  Close;
end;

end.
